import { RawComponentState, DependenciesDefinition, DependencyResolverWorkspaceConfig, installOpts } from './types';
import { Logger } from '../logger';
import PackageManager from './package-manager';
import { Capsule } from '../isolator';
export declare class DependencyResolverExtension {
    readonly config: DependencyResolverWorkspaceConfig;
    private packageManager;
    static id: string;
    static dependencies: {
        name: string;
        dependencies: never[];
        config: {};
        provider: typeof import("../logger/logger.provider").provideLogger;
    }[];
    static defaultConfig: DependencyResolverWorkspaceConfig;
    static provider([logger]: [Logger], config: DependencyResolverWorkspaceConfig): Promise<DependencyResolverExtension>;
    constructor(config: DependencyResolverWorkspaceConfig, packageManager: PackageManager);
    get packageManagerName(): string;
    capsulesInstall(capsules: Capsule[], opts?: installOpts): Promise<null>;
    folderInstall(folder: string, opts?: installOpts): Promise<null>;
    getDependencies(rawComponent: RawComponentState, dependencyResolverWorkspaceConfig: DependencyResolverWorkspaceConfig): DependenciesDefinition;
}
