"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DependencyResolverExtension = void 0;

function _bluebird() {
  const data = require("bluebird");

  _bluebird = function () {
    return data;
  };

  return data;
}

function _defineProperty2() {
  const data = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

  _defineProperty2 = function () {
    return data;
  };

  return data;
}

function _logger() {
  const data = require("../logger");

  _logger = function () {
    return data;
  };

  return data;
}

function _packageManager() {
  const data = _interopRequireDefault(require("./package-manager"));

  _packageManager = function () {
    return data;
  };

  return data;
}

// TODO: add example of exposing a hook once its API is final by harmony
// export const Dependencies = Hooks.create();
// export const FileDependencies = Hooks.create();
class DependencyResolverExtension {
  static provider([logger], config) // TODO: add slots
  {
    return (0, _bluebird().coroutine)(function* () {
      const packageManager = new (_packageManager().default)(config.packageManager, logger);
      const DependencyResolver = new DependencyResolverExtension(config, packageManager);
      return DependencyResolver;
    })();
  }

  constructor(config, packageManager) {
    this.config = config;
    this.packageManager = packageManager;
  }

  get packageManagerName() {
    return this.config.packageManager;
  }

  capsulesInstall(capsules, opts = {
    packageManager: this.packageManagerName
  }) {
    var _this = this;

    return (0, _bluebird().coroutine)(function* () {
      return _this.packageManager.capsulesInstall(capsules, opts);
    })();
  }

  folderInstall(folder, opts = {
    packageManager: this.packageManagerName
  }) {
    var _this2 = this;

    return (0, _bluebird().coroutine)(function* () {
      return _this2.packageManager.runInstallInFolder(folder, opts);
    })();
  }
  /**
   * Will return the final dependencies of the component after all calculation
   * @param rawComponent
   * @param dependencyResolverWorkspaceConfig
   */
  // TODO: remove this rule upon implementation
  // eslint-disable-next-line @typescript-eslint/no-unused-vars


  getDependencies( // TODO: remove this rule upon implementation
  // eslint-disable-next-line
  rawComponent, // TODO: remove this rule upon implementation
  // eslint-disable-next-line
  dependencyResolverWorkspaceConfig) {
    // TODO: remove this rule upon implementation
    // @ts-ignore eslint-disable-next-line
    return undefined;
  }

}

exports.DependencyResolverExtension = DependencyResolverExtension;
(0, _defineProperty2().default)(DependencyResolverExtension, "id", '@teambit/dependency-resolver');
(0, _defineProperty2().default)(DependencyResolverExtension, "dependencies", [_logger().LoggerExt]);
(0, _defineProperty2().default)(DependencyResolverExtension, "defaultConfig", {
  /**
   * default package manager.
   */
  packageManager: 'npm',
  policy: {},
  packageManagerArgs: [],
  strictPeerDependencies: true
});