import { CLIExtension } from '../cli';
import { Environments } from '../environments';
import { Workspace } from '../workspace';
import { GraphQLExtension } from '../graphql';
import { Component } from '../component';
export declare class UIExtension {
    private envs;
    private graphql;
    private workspace;
    static dependencies: (typeof CLIExtension | import("@teambit/harmony").ExtensionManifest | typeof GraphQLExtension | typeof Environments)[];
    constructor(envs: Environments, graphql: GraphQLExtension, workspace: Workspace);
    static runtimes: {
        ui: string;
        cli: string;
    };
    private createDevServer;
    private selectPort;
    createRuntime(components?: Component[]): Promise<void>;
    static provider([cli, envs, workspace, graphql]: [CLIExtension, Environments, Workspace, GraphQLExtension]): Promise<UIExtension>;
}
